/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: regerror.c 1.2 89/10/10 $@(#)sadmin:check/regerror.c	1.3"
/*
	return the a message explaining a regexp(5) error code
*/


char *
regerror(code)
int	code;
{
	switch( code ) {
	case 11:
		return "Range endpoint too large";
	case 16:
		return "Bad number";
	case 25:
		return "'\\digit' out of range";
	case 36:
		return "Illegal or missing delimiter";
	case 41:
		return "No remembered search string";
	case 42:
		return "'\\( \\)' imbalance";
	case 43:
		return "Too many '\\('";
	case 44:
		return "More than 2 numbers given in \\{ \\}";
	case 45:
		return "} expected after \\";
	case 46:
		return "First number exceeds second in \\{ \\}";
	case 49:
		return "[] imbalance";
	case 50:
		return "regular expression too long or too complex";
	}
	return "unknown code!";
}
